
*****************************************
* Appendixt Table 8	Impact of Job-Fair Attendance on BPO employment
	*Last Updated 06 October May 2015	
	
	*ITT effects of voucher and IV effects of job-fair attendance on whether employed in BPO sector
*****************************************




#delimit ;




use "$work/$specdata",clear;

*Data statements: see specification_setup.do;
$keepstatement;
$subgroupt;

*Replace old tables;
local R "replace";





**Define dependent variables;

	local M1 "rBPO";

	
	*Total # dependent variables;
	local varmax = 1;		

* Loop over dependent variables;
forval m = 1/`varmax'{;


*ITT regressions;
 xi: reg `M`m'' jollibee wage  occupation $cov1 $sfe ,cluster(bgy);
		
			sum `M`m''  if jollibee == 0 ;
			local depavg = `r(mean)';

	outreg2  jollibee wage occupation using "$output/A8_ITT_IV_BPO_$SUB $ST.xls",
		`R'  nonote bracket dec(3) adds(pval,0, mean, `depavg')	;	
local R "append";

*IV regressions;
 xi: ivreg2 `M`m'' (attend1 = jollibee) wage  occupation  $cov1 $sfe ,cluster(bgy);
		
			sum `M`m'' if jollibee == 0 ;
			local depavg = `r(mean)';

	outreg2  attend1 wage occupation using "$output/A8_ITT_IV_BPO_$SUB $ST.xls",
		`R' nonote bracket  dec(3) adds(pval, 0, mean, `depavg')	;	


};

*****
* Run regressions, fully interacted with gender, for ALL subgroup;
*****;
if "$SUB" == "all"{;
forval m = 1/`varmax'{;

*ITT regressions;
xi: reg `M`m'' jollibee jolsexX occupation occsexX wage  wagesexX $cov1 r_sexX* i.r_sex*i.p_g i.r_sex*i.en_id_BL , cluster(bgy);
		
			sum `M`m''  if jollibee == 0;
				local depavg = `r(mean)';
			testparm jolsexX ;
				local pval = `r(p)';
				
	outreg2  jollibee jolsexX  using "$output/A8_ITT_IV_BPO_$SUB $ST.xls",
		`R'  nonote bracket dec(3) adds(pval,`pval', mean, `depavg')	;		

*IV regressions;
xi: ivreg2 `M`m'' (attend1 attendX = jollibee jolsexX) occupation occsexX wage wagesexX $cov1 r_sexX* i.r_sex*i.p_g i.r_sex*i.en_id_BL , cluster(bgy) partial(r_sexXmis__currpass r_sexXmis__f8omeasure);
		
			sum `M`m''  if jollibee == 0;
				local depavg = `r(mean)';
			testparm attendX ;
				local pval = `r(p)';
				
	outreg2 attend1 attendX using "$output/A8_ITT_IV_BPO_$SUB $ST.xls",
		`R' nonote bracket  dec(3) adds(pval,`pval', mean, `depavg')	;	
};

};

*Erase .txt files;
erase "$output/A8_ITT_IV_BPO_$SUB $ST.txt";
exit;

