 
 sysuse auto,clear
 gene gpm=1/mpg
tempfile tf1 tf2 tf3
parmby "regr gpm weight", lab saving(`"`tf1'"', replace) idn(1) ids(Unadjusted)
parmby "regr gpm foreign", lab saving(`"`tf2'"', replace) idn(2)            ids(Unadjusted)
parmby "regr gpm weight foreign", lab saving(`"`tf3'"', replace) idn(3) ids(Adjusted)
drop _all
append using `"`tf1'"' `"`tf2'"' `"`tf3'"'
list idnum idstr parm estimate min95 max95 p, noobs nodis




*Migration
use "$work/$specdata",clear
$keepstatement
$runprog
replace newpass = . if e13_p == .
gen newra = e2_ra == 1 & c2visitra == 2
	 replace newra = . if e2_ra == . & c2visitra == 1

tempfile t1 t2 t3 t4

parmby "reg lookofw_surv jollibee wage occupation $cov1 i.p_g i.en_id,cluster(bgy)",lab saving(`"`t1'"',replace) idn(1) ids(LOOKOFW)
parmby "reg newra jollibee wage occupation $cov1 i.p_g i.en_id,cluster(bgy)",lab saving(`"`t2'"',replace) idn(1) ids(NEWRA)
parmby "reg newpass jollibee wage occupation $cov1 i.p_g i.en_id,cluster(bgy)",lab saving(`"`t3'"',replace) idn(1) ids(NEWPASS)
parmby "reg strong_fup jollibee wage occupation $cov1 i.p_g i.en_id,cluster(bgy)",lab saving(`"`t4'"',replace) idn(1) ids(STRONG)

drop _all 

append using `"`t1'"' `"`t2'"' `"`t3'"' `"`t4'"' 

keep if parm == "jollibee"
list idnum idstr parm estimate min95 max95 p, noobs nodis

multproc

*Job search
use "$work/$specdata",clear
$keepstatement
$runprog
tempfile t1 t2 t3 t4

parmby "reg looklocal_4_2011 jollibee wage occupation $cov1 i.p_g i.en_id_BL,cluster(bgy)",lab saving(`"`t1'"',replace) idn(1) ids(LOCAL_1mo)
parmby "reg lookmnl_4_2011 jollibee wage occupation $cov1 i.p_g i.en_id_BL,cluster(bgy)",lab saving(`"`t2'"',replace) idn(1) ids(MNL_1mo)
parmby "reg offerlocal_surv jollibee wage occupation $cov1 i.p_g i.en_id_BL,cluster(bgy)",lab saving(`"`t3'"',replace) idn(1) ids(LOCL_surv)

parmby "reg offermnl_surv jollibee wage occupation $cov1 i.p_g i.en_id_BL,cluster(bgy)",lab saving(`"`t4'"',replace) idn(1) ids(MNL_surv)
drop _all 

append using `"`t1'"' `"`t2'"' `"`t3'"' `"`t4'"' 

keep if parm == "jollibee"
list idnum idstr parm estimate min95 max95 p, noobs nodis

multproc


*Employment


use "$work/$specdata",clear
$keepstatement
$runprog
tempfile t1 t2 t3 t4

parmby "reg rwork_fup jollibee wage occupation $cov1 i.p_g i.en_id_BL,cluster(bgy)",lab saving(`"`t1'"',replace) idn(1) ids(WORK)
parmby "reg rformal jollibee wage occupation $cov1 i.p_g i.en_id_BL,cluster(bgy)",lab saving(`"`t2'"',replace) idn(1) ids(FORMAL)
parmby "reg rinformal jollibee wage occupation $cov1 i.p_g i.en_id_BL,cluster(bgy)",lab saving(`"`t3'"',replace) idn(1) ids(INFORMAL)
parmby "reg rselffarm jollibee wage occupation $cov1 i.p_g i.en_id_BL,cluster(bgy)",lab saving(`"`t4'"',replace) idn(1) ids(SELF)

drop _all 

append using `"`t1'"' `"`t2'"' `"`t3'"'  `"`t4'"' 

keep if parm == "jollibee"
list idnum idstr parm estimate min95 max95 p, noobs nodis

multproc



* Beliefs
local M1 "fuph4_offer";
local M2 "fuph5_deploy";
local M3 "_e11";
local M4 "_e10";
local M5 "strong_fup";


use "$work/$specdata",clear
$keepstatement
$runprog
tempfile t1 t2 t3 t4 t5

parmby "reg fuph4_offer jollibee wage occupation $cov1 i.p_g i.en_id_BL,cluster(bgy)",lab saving(`"`t1'"',replace) idn(1) ids(OFFER)
parmby "reg fuph5_deploy jollibee wage occupation $cov1 i.p_g i.en_id_BL,cluster(bgy)",lab saving(`"`t2'"',replace) idn(1) ids(DEPLOY)
parmby "reg _e11 jollibee wage occupation $cov1 i.p_g i.en_id_BL,cluster(bgy)",lab saving(`"`t3'"',replace) idn(1) ids(WAGE)
parmby "reg _e10 jollibee wage occupation $cov1 i.p_g i.en_id_BL,cluster(bgy)",lab saving(`"`t4'"',replace) idn(1) ids(RESWAGE)
parmby "reg strong_fup jollibee wage occupation $cov1 i.p_g i.en_id_BL,cluster(bgy)",lab saving(`"`t5'"',replace) idn(1) ids(INTEREST)

drop _all 

append using `"`t1'"' `"`t2'"' `"`t3'"'  `"`t4'"' `"`t5'"' 

keep if parm == "jollibee"
list idnum idstr parm estimate min95 max95 p, noobs nodis

multproc



use "$work/$specdata",clear
$keepstatement
$runprog
keep if r_sex == 0
tempfile t1 t2 t3 t4 t5

parmby "reg fuph4_offer jollibee wage occupation $cov1 i.p_g i.en_id_BL,cluster(bgy)",lab saving(`"`t1'"',replace) idn(1) ids(OFFER_M)
parmby "reg fuph5_deploy jollibee wage occupation $cov1 i.p_g i.en_id_BL,cluster(bgy)",lab saving(`"`t2'"',replace) idn(1) ids(DEPLOY_M)
parmby "reg _e11 jollibee wage occupation $cov1 i.p_g i.en_id_BL,cluster(bgy)",lab saving(`"`t3'"',replace) idn(1) ids(WAGE_M)
parmby "reg _e10 jollibee wage occupation $cov1 i.p_g i.en_id_BL,cluster(bgy)",lab saving(`"`t4'"',replace) idn(1) ids(RESWAGE_M)
parmby "reg strong_fup jollibee wage occupation $cov1 i.p_g i.en_id_BL,cluster(bgy)",lab saving(`"`t5'"',replace) idn(1) ids(INTEREST_M)

drop _all 

append using `"`t1'"' `"`t2'"' `"`t3'"'  `"`t4'"' `"`t5'"' 

keep if parm == "jollibee"
list idnum idstr parm estimate min95 max95 p, noobs nodis

multproc



use "$work/$specdata",clear
$keepstatement
$runprog
keep if r_sex == 1
tempfile t1 t2 t3 t4 t5

parmby "reg fuph4_offer jollibee wage occupation $cov1 i.p_g i.en_id_BL,cluster(bgy)",lab saving(`"`t1'"',replace) idn(1) ids(OFFER_F)
parmby "reg fuph5_deploy jollibee wage occupation $cov1 i.p_g i.en_id_BL,cluster(bgy)",lab saving(`"`t2'"',replace) idn(1) ids(DEPLOY_F)
parmby "reg _e11 jollibee wage occupation $cov1 i.p_g i.en_id_BL,cluster(bgy)",lab saving(`"`t3'"',replace) idn(1) ids(WAGE_F)
parmby "reg _e10 jollibee wage occupation $cov1 i.p_g i.en_id_BL,cluster(bgy)",lab saving(`"`t4'"',replace) idn(1) ids(RESWAGE_F)
parmby "reg strong_fup jollibee wage occupation $cov1 i.p_g i.en_id_BL,cluster(bgy)",lab saving(`"`t5'"',replace) idn(1) ids(INTEREST_F)

drop _all 

append using `"`t1'"' `"`t2'"' `"`t3'"'  `"`t4'"' `"`t5'"' 

keep if parm == "jollibee"
list idnum idstr parm estimate min95 max95 p, noobs nodis

multproc
